---
type: api
title: Get index information
description: Get information about one or more indices. For data streams, the API returns information about the
url: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/elasticsearch/operation/operation-indices-get
resource: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/elasticsearch/operation/operation-indices-get
products:
  - Elasticsearch
---

# Get index information

Availability:

## Paths

- `GET` `/{index}`

- [Api key auth](/elastic/docs-builder/docs/4371/api/doc/elasticsearch/authentication#apikeyauth)
- [Basic auth](/elastic/docs-builder/docs/4371/api/doc/elasticsearch/authentication#basicauth)
- [Bearer auth](/elastic/docs-builder/docs/4371/api/doc/elasticsearch/authentication#bearerauth)

#### Path Parameters

- `index` (union IndexName | [] IndexName)
  Comma-separated list of data streams, indices, and index aliases used to limit the request.
Wildcard expressions (*) are supported.

## Description

Get information about one or more indices. For data streams, the API returns information about the
stream’s backing indices.

## Required authorization

* Index privileges: `view_index_metadata`,`manage`

## Query String Parameters

- `allow_no_indices` (boolean · default: true)
  A setting that does two separate checks on the index expression.
If `false`, the request returns an error (1) if any wildcard expression
(including `_all` and `*`) resolves to zero matching indices or (2) if the
complete set of resolved indices, aliases or data streams is empty after all
expressions are evaluated. If `true`, index expressions that resolve to no
indices are allowed and the request returns an empty result.
- `expand_wildcards` (string ExpandWildcards · default: open)
  Type of index that wildcard expressions can match. If the request can target data streams, this argument
determines whether wildcard expressions match hidden data streams. Supports comma-separated values,
such as open,hidden.

Supported values include:
  - `all`: Match any data stream or index, including hidden ones.
  - `open`: Match open, non-hidden indices. Also matches any non-hidden data stream.
  - `closed`: Match closed, non-hidden indices. Also matches any non-hidden data stream. Data streams cannot be closed.
  - `hidden`: Match hidden data streams and hidden indices. Must be combined with `open`, `closed`, or `both`.
  - `none`: Wildcard expressions are not accepted.
  Values: `all`, `open`, `closed`, `hidden`, `none`
- `flat_settings` (boolean · default: false)
  If true, returns settings in flat format.
- `ignore_unavailable` (boolean · default: false)
  If `false`, the request returns an error if it targets a concrete (non-wildcarded)
index, alias, or data stream that is missing, closed, or otherwise unavailable.
If `true`, unavailable concrete targets are silently ignored.
- `include_defaults` (boolean · default: false)
  If true, return all default settings in the response.
- `local` (boolean · default: false)
  If true, the request retrieves information from the local node only. Defaults to false, which means information is retrieved from the master node.
- `master_timeout` (string Duration · default: 30s)
  Period to wait for a connection to the master node. If no response is received before the timeout expires, the request fails and returns an error.
- `features` (Features · default: ['aliases', 'mappings', 'settings'])
  Return only information on specified index features

Supported values include: `aliases`, `mappings`, `settings`
  Values: `aliases`, `mappings`, `settings`

## Response

`application/json`

Type: `map string to IndexState`

## Code Examples

#### Console

```console
GET /my-index-000001
```

#### JavaScript

```javascript
const response = await client.indices.get({
  index: "my-index-000001",
});
```

#### Python

```python
resp = client.indices.get(
    index="my-index-000001",
)
```

#### curl

```curl
curl -X GET "$ELASTICSEARCH_URL/my-index-000001" \
  -H "Authorization: ApiKey $ELASTIC_API_KEY"
```

#### Java

```java
client.indices().get(g -> g
    .index("my-index-000001")
);
```

#### C#

```c#
var response = await client.Indices.GetAsync(indices: new[] { "my-index-000001" });
```

#### PHP

```php
$resp = $client->indices()->get([
    "index" => "my-index-000001",
]);
```

#### Ruby

```ruby
response = client.indices.get(
  index: "my-index-000001"
)
```

